Skip to main content
GET
/
network_ids
/
search
TypeScript
const response: Promise<FireblocksResponse<SearchNetworkIdsResponse>> = fireblocks.networkConnections.searchNetworkIds(networkConnectionsApiSearchNetworkIdsRequest);
{
  "data": [
    {
      "routingPolicy": {},
      "isDiscoverable": true,
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "next": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

Search string - displayName networkId. Optional

Minimum string length: 1
excludeSelf
boolean

Exclude your networkIds. Optional, default false

onlySelf
boolean

Include just your networkIds. Optional, default false

excludeConnected
boolean

Exclude connected networkIds. Optional, default false

pageCursor
string

ID of the record after which to fetch $limit records

pageSize
number
default:50

Number of records to fetch. By default, it is 50

Required range: 1 <= x <= 50

Response

A list of network IDs

data
object[]
next
string